Skip to content
EN

生成视频 (兼容版,开发接入请勿对接

方法: POST路径: /luma/v1/generations

请求参数

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
user_prompt
string
必需
aspect_ratio
string
必需
expand_prompt
boolean
必需
image_url
string
必需
image_end_url
string
必需
示例
{
"user_prompt"
:
"string"
,
"aspect_ratio"
:
"string"
,
"expand_prompt"
:
true
,
"image_url"
:
"string"
,
"image_end_url"
:
"string"
}

请求示例代码

Shell

bash
curl --location --request POST '/luma/v1/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "user_prompt": "string",
    "aspect_ratio": "string",
    "expand_prompt": true,
    "image_url": "string",
    "image_end_url": "string"
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{}